package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("管理后台 - 打包页面订单统计")
public class OrderPackedPageStatisticsVO {



    /**
     * 填单体积
     */
    @ApiModelProperty(value = "填单体积")
    private BigDecimal sumVolumeInput;
    /**
     * 填单重量
     */
    @ApiModelProperty(value = "填单重量")
    private BigDecimal sumWeightInput;

    /**
     * 填单数量
     */
    @ApiModelProperty(value = "填单数量")
    private Integer sumQuantityInput;
    /**
     * 填单件数
     */
    @ApiModelProperty(value = "填单件数")
    private Integer sumNumInput;




    /**
     * 入仓体积
     */
    @ApiModelProperty(value = "入仓体积")
    private BigDecimal sumVolume;
    /**
     * 入仓重量
     */
    @ApiModelProperty(value = "入仓重量")
    private BigDecimal sumWeight;

    /**
     * 入仓数量
     */
    @ApiModelProperty(value = "入仓数量")
    private Integer sumQuantity;
    /**
     * 入仓件数
     */
    @ApiModelProperty(value = "入仓件数")
    private Integer sumNum;





    /**
     * 完成入仓的入仓体积
     */
    @ApiModelProperty(value = "完成入仓的入仓体积")
    private BigDecimal sumVolumeFinishedWarehouseIn;
    /**
     * 完成入仓的入仓重量
     */
    @ApiModelProperty(value = "完成入仓的入仓重量")
    private BigDecimal sumWeightFinishedWarehouseIn;

    /**
     * 完成入仓的箱/件数
     */
    @ApiModelProperty(value = "完成入仓的箱")
    private Integer sumCartonsNumFinishedWarehouseIn;

    /**
     * 完成入仓的所有箱内总货物数量
     */
    @ApiModelProperty(value = "完成入仓的所有箱内总货物数量")
    private Integer sumQuantityAllFinishedWarehouseIn;





    /**
     * 上次打包的入仓体积
     */
    @ApiModelProperty(value = "上次打包的入仓体积")
    private BigDecimal sumVolumePrevPacked;
    /**
     * 上次打包的入仓重量
     */
    @ApiModelProperty(value = "上次打包的入仓重量")
    private BigDecimal sumWeightPrevPacked;

    /**
     * 上次打包的箱/件数
     */
    @ApiModelProperty(value = "上次打包的箱")
    private Integer sumCartonsNumPrevPacked;

    /**
     * 上次打包的所有箱内总货物数量
     */
    @ApiModelProperty(value = "上次打包的所有箱内总货物数量")
    private Integer sumQuantityAllPrevPacked;


}
